Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# AnimControlUI Class Reference

List of all members.

## Public Member Functions
def | __init__
def | DoLayout
def | OnAnimation
def | OnControl
def | OnCurrentTime
def | OnDeleteKey
def | OnExit
def | OnFirstFrame
def | OnLastFrame
def | OnNextFrame
def | OnNextKeyFrame
def | OnPlay
def | OnPreFrame
def | OnPreKeyFrame
def | OnPrePlay
def | OnPropKey
def | OnTime
def | OnTimeEndSpin
def | OnTimer
def | OnTimeSliderEndSpin
def | OnTimeSliderStartSpin
def | OnTimeStartSpin
def | SetProperties
def | sortKey
## Public Attributes
| bmpPlay
| bmpPrePlay
| bmpStop
| buttonDeleteKey
| buttonFirstFrame
| buttonLastFrame
| buttonNextFrame
| buttonNextKeyFrame
| buttonPlay
| buttonPreFrame
| buttonPreKeyFrame
| buttonPrePlay
| curFrame
| curFrameSpin
| dialogSizer
| editor
| endFrame
| keys
| mainPanel1
| mainPanel2
| parallel
| play
| prePlay
| sliderEndFrame
| sliderStartFrame
| startFrame
| stop
| timeEndSpin
| timer
| timeRange
| timeSlider
| timeSliderEndSpin
| timeSliderStartSpin
| timeStartSpin
| timeUnit

## Detailed Description

    This is the Animation Control main class implementation.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent,
|  |  | editor
| ) |  |

## Member Function Documentation

def DoLayout | ( |  | self | ) |

def OnAnimation | ( |  | self,
|  |  | curFrame
| ) |  |

def OnControl | ( |  | self | ) |

def OnCurrentTime | ( |  | self,
|  |  | evt
| ) |  |

def OnDeleteKey | ( |  | self,
|  |  | evt
| ) |  |

def OnExit | ( |  | self,
|  |  | evt
| ) |  |

def OnFirstFrame | ( |  | self,
|  |  | evt
| ) |  |

def OnLastFrame | ( |  | self,
|  |  | evt
| ) |  |

def OnNextFrame | ( |  | self,
|  |  | evt
| ) |  |

def OnNextKeyFrame | ( |  | self,
|  |  | evt
| ) |  |

def OnPlay | ( |  | self,
|  |  | evt
| ) |  |

def OnPreFrame | ( |  | self,
|  |  | evt
| ) |  |

def OnPreKeyFrame | ( |  | self,
|  |  | evt
| ) |  |

def OnPrePlay | ( |  | self,
|  |  | evt
| ) |  |

def OnPropKey | ( |  | self | ) |

def OnTime | ( |  | self | ) |

def OnTimeEndSpin | ( |  | self,
|  |  | evt
| ) |  |

def OnTimer | ( |  | self,
|  |  | evt
| ) |  |

def OnTimeSliderEndSpin | ( |  | self,
|  |  | evt
| ) |  |

def OnTimeSliderStartSpin | ( |  | self,
|  |  | evt
| ) |  |

def OnTimeStartSpin | ( |  | self,
|  |  | evt
| ) |  |

def SetProperties | ( |  | self | ) |

def sortKey | ( |  | self | ) |

## Member Data Documentation

bmpPlay

bmpPrePlay

bmpStop

buttonDeleteKey

buttonFirstFrame

buttonLastFrame

buttonNextFrame

buttonNextKeyFrame

buttonPlay

buttonPreFrame

buttonPreKeyFrame

buttonPrePlay

curFrame

curFrameSpin

dialogSizer

editor

endFrame

keys

mainPanel1

mainPanel2

parallel

play

prePlay

sliderEndFrame

sliderStartFrame

startFrame

stop

timeEndSpin

timer

timeRange

timeSlider

timeSliderEndSpin

timeSliderStartSpin

timeStartSpin

timeUnit

All Classes Namespaces Functions Variables Enumerations Enumerator Properties